﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using Infragistics.Win.Misc;

namespace _97740
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            Point startPoint = new Point(10, 10);

            foreach (UltraTile tile in ultraTilePanel1.Tiles)
            {
                CheckBox cb = new CheckBox();
                cb.Text = tile.Caption;
                cb.Location = startPoint;
                cb.Checked = tile.Visible;
                cb.Tag = tile;
                ultraPanel1.ClientArea.Controls.Add(cb);
                cb.DataBindings.Add("Checked", tile, "Visible").DataSourceUpdateMode = DataSourceUpdateMode.OnPropertyChanged;//.ControlUpdateMode = ControlUpdateMode.OnPropertyChanged;
                startPoint.Offset(0, 25);
            }
        }

        private void ultraTilePanel1_TileStateChanged(object sender, Infragistics.Win.Misc.TileStateChangedEventArgs e)
        {
            Debug.WriteLine(e.OldState);
        }
    }
}
